> ## Documentation Index
> Fetch the complete documentation index at: https://docs.burki.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Assistant

> Delete an assistant.

Permanently deletes the assistant if it belongs to your organization.
This action cannot be undone.

This endpoint permanently deletes an assistant from your organization. This action cannot be undone. Once an assistant is deleted, all associated configurations are removed.

### Path Parameters

* `assistant_id` (string, **required**): The unique identifier for the assistant you want to delete.

### Response

A successful deletion will return a `200 OK` status code with a confirmation message.

```json Response theme={null}
{
  "message": "Assistant deleted successfully"
}
```


## OpenAPI

````yaml DELETE /api/v1/assistants/{assistant_id}
openapi: 3.1.0
info:
  title: Burki
  description: A system that uses AI to answer customer Calls.
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistants/{assistant_id}:
    delete:
      tags:
        - assistants
      summary: Delete Assistant
      description: |-
        Delete an assistant.

        Permanently deletes the assistant if it belongs to your organization.
        This action cannot be undone.
      operationId: delete_assistant_api_v1_assistants__assistant_id__delete
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: integer
            title: Assistant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    APIResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
      type: object
      required:
        - success
        - message
      title: APIResponse
      description: Standard API response format.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````